/* vi:set ts=8 sts=0 sw=8:
 * $Id: misc.h,v 1.5 1999/01/18 20:03:25 kahn Exp kahn $
 *
 * Copyright (C) 1998 Andy C. Kahn <kahn@zk3.dec.com>
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef __MISC_H__
#define __MISC_H__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <time.h>
#include <gtk/gtk.h>
#include "main.h"

extern char *my_tempname(void);
extern char *ttoa(time_t curtime, bool_t append_nl);
extern char *ltoa(long num);
extern char * strcasestr(const char *phaystack, const char *pneedle);
#ifdef GTK_HAVE_FEATURES_1_1_0
#define my_basename(name)	g_basename((const gchar *)(name))
#else
extern const char *my_basename(const char *name);
#endif

extern GtkWidget *misc_button_new_w_label(
			char *labelname, GtkSignalFunc cbfunc,
			gpointer cbdata, GtkWidget *parent,
#ifdef GTK_HAVE_FEATURES_1_1_0
			GtkReliefStyle relief,
#endif
			GtkWidget *table, int lft, int rht, int top, int bot);


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif	/* __MISC_H__ */
